<?php
// Proteção Login
require_once("inc/protecao-admin.php");

// Proteção contra acesso direto
if(!preg_match("/".str_replace("http://","",str_replace("www.","",$_SERVER['HTTP_HOST']))."/i",$_SERVER['HTTP_REFERER'])) {
die("<span class='texto_status_erro'>Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</span>");
}

if(empty($_POST["nome"]) or empty($_POST["email"]) or empty($_POST["senha"]) or empty($_POST["streamings"]) or empty($_POST["espectadores"]) or empty($_POST["bitrate"]) or empty($_POST["espaco"])) {
$_SESSION["status_acao"] = "<div class='alert alert-warning text-center' role='alert'>".lang_info_campos_vazios."</div>";
header("Location: ".$_SERVER['HTTP_REFERER']."");
exit();
}

$lives = ($_POST["lives"]) ? "sim" : "nao";

mysqli_query($conexao,"INSERT INTO revendas (id,nome,email,senha,subrevendas,streamings,espectadores,bitrate,espaco,chave_api,data_cadastro,lives,codigo_servidor_privado) VALUES ('".$_POST["id"]."','".$_POST["nome"]."','".$_POST["email"]."',PASSWORD('".$_POST["senha"]."'),'".$_POST["subrevendas"]."','".$_POST["streamings"]."','".$_POST["espectadores"]."','".$_POST["bitrate"]."','".$_POST["espaco"]."','".code_decode($_POST["email"],"E")."',NOW(),'".$lives."','".$_POST["codigo_servidor_privado"]."')") or die("Erro ao processar query.<br>Mensagem do servidor: ".mysqli_error($conexao));
$codigo_revenda = mysqli_insert_id($conexao);

// Loga a ação executada
mysqli_query($conexao,"INSERT INTO logs (acao,data,ip,log) VALUES ('cadastro_revenda',NOW(),'".$_SERVER['REMOTE_ADDR']."','Cadastrada revenda ".$_POST["nome"]." email ".$_POST["email"]."')");

// Cria o sessão do status das ações executadas e redireciona.
$_SESSION["status_acao"] = "<div class='alert alert-success text-center' role='alert'>".lang_info_pagina_cadastrar_revenda_resultado_ok."</div>";

header("Location: /admin/admin-revendas");
?>